LifecycleBasePlugin (Gradle API 7.6.4)

Package org.gradle.language.base.plugins

## Class LifecycleBasePlugin

- java.lang.Object
- - org.gradle.language.base.plugins.LifecycleBasePlugin

- All Implemented Interfaces:
    `Plugin<Project>`

      public class LifecycleBasePlugin
      extends java.lang.Object
      implements Plugin<Project>

  A `Plugin` which defines a basic project lifecycle.

  See Also:
    Base plugin reference

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ASSEMBLE_TASK_NAME` |
    `static java.lang.String` | `BUILD_GROUP` |
    `static java.lang.String` | `BUILD_TASK_NAME` |
    `static java.lang.String` | `CHECK_TASK_NAME` |
    `static java.lang.String` | `CLEAN_TASK_NAME` |
    `static java.lang.String` | `VERIFICATION_GROUP` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LifecycleBasePlugin()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `apply​(Project project)` | Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLEAN_TASK_NAME

          public static final java.lang.String CLEAN_TASK_NAME

      See Also:
        Constant Field Values

    - #### ASSEMBLE_TASK_NAME

          public static final java.lang.String ASSEMBLE_TASK_NAME

      See Also:
        Constant Field Values

    - #### CHECK_TASK_NAME

          public static final java.lang.String CHECK_TASK_NAME

      See Also:
        Constant Field Values

    - #### BUILD_TASK_NAME

          public static final java.lang.String BUILD_TASK_NAME

      See Also:
        Constant Field Values

    - #### BUILD_GROUP

          public static final java.lang.String BUILD_GROUP

      See Also:
        Constant Field Values

    - #### VERIFICATION_GROUP

          public static final java.lang.String VERIFICATION_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LifecycleBasePlugin

          public LifecycleBasePlugin()

  - ### Method Detail

    - #### apply

          public void apply​(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object